<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\User;
use Illuminate\Support\Facades\Date;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Carbon;

class FilterController extends Controller
{
    public function filterMembers(Request $request){

        $members = User::where('roleId', '=', 2);

        //$job = $_GET['job'];

        $job = $request->job;
        $nationality = $request->nationality;


        // $members = User::where( function($query) use ($request) {
        //     //$query->where('roleId', '=', 2);

        //     return $request->job ? $query->where('job', '=', $request->job) : '';

        // })->where(function($query) use ($request) {
        //     return $request->nationality ? $query->where('nationality', '=', $request->nationality) : '';
        // });

        $members = User::query()
                    ->where('roleId', '=', 2)
                    ->when($job, fn($query, $job) => $query->where('job', '=', $job))
                    ->when($nationality, fn($query, $nationality) => $query->where('nationality', '=', $nationality));



    //    if ($job !== null) {
    //        $members = $members->where('job', '=', $job);
    //    }

    //    if ($nationality !== null) {
    //        $members = $members->where('nationality', '=', $nationality);
    //    }


       $filter = $members->get();


       $total_memberFilter = $filter->count();
        if($total_memberFilter > 0){
            foreach($filter as $i=>$member){

                $output = '
                        <div class="container-card m-3">
                            <div class="img-container-card">
                                <img style="object-fit: cover;" src="storage/upload/'.$member->profilImage.'" alt="">
                            </div>
                            <div class="user-info-card">
                                <h2><a href="#">'. $member->name .' '. $member->firstname .'</a></h2>
                                <span>'. $member->email .'</span>
                            </div>
                        </div>
                ';
            }
        }else{
            $output = '
                <h1 align="center">Pas de Contact trouvé</h1>
            ';
        }

        $filter = array(
        'filter_data'  => $output,
        'total_data'  => $total_memberFilter
        );

        echo json_encode($filter);

       //return response()->json($filter);
       //return $filter;


   }


   public function membersearch(Request $request){

        if($request->ajax()) {

            $output = '';
            $query = $request->get('query');

            if($query != '') {

                $members = DB::table('users')
                    ->where('name', 'like', '%'.$query.'%')
                    ->orWhere('firstname', 'like', '%'.$query.'%')
                    ->orWhere('email', 'like', '%'.$query.'%')
                    ->orWhere('address', 'like', '%'.$query.'%')
                    ->orWhere('gender', 'like', '%'.$query.'%')
                    ->orWhere('nationality', 'like', '%'.$query.'%')
                    ->orWhere('job', 'like', '%'.$query.'%')
                    ->orderBy('id', 'desc')
                    ->get();

            }

            $total_row = $members->count();
            if($total_row > 0) {
                foreach($members as $i=>$member) {

                    $output = '
                            <div class="container-card m-3">
                                <div class="img-container-card">
                                    <img style="object-fit: cover;" src="storage/upload/'.$member->profilImage.'" alt="">
                                </div>
                                <div class="user-info-card">
                                    <h2><a href="#">'. $member->name .' '. $member->firstname .'</a></h2>
                                    <span>'. $member->email .'</span>
                                </div>
                            </div>
                    ';

                }
            }else{
                $output = '

                        <h1 align="center">Pas de Contact trouvé</h1>

                    ';
            }

            $data = array(
            'table_data'  => $output,
            'total_data'  => $total_row
            );

            echo json_encode($data);
        }
    }

}
